/************************************************************************************
/
/	Bundesligatabelle-Widget für MacOS 10.5
/
/	* Version  		: 1.26
/	* Author   		: Marc Fleischer (mfwidgets@arcor.de)
/	* Modified 		: Florian Franz
/	* Creation 		: 02.09.2005
/	* Last Modification	: 29.08.2010
/
/
/************************************************************************************
/
/ Feel free to use it! Code (C) by Marc Fleischer. 
/ You are allowed to spread it if my name is mentioned.
/ You are allowed to change the code if my name ist mentioned.
/ This is happyware! I'm happy if you use it! ;-)
/
/ Make love - not war! Peace to the world!
/
/************************************************************************************
/
/	Some code-ideas stolen from TV Sniffer 2.0 by Stefan Joos. Thank you!
/	Bundesliga-Data retrieved from spiegel.de & sportbild.de - I did not ask them ;-) Uups!
/
/************************************************************************************/

// Array: platz, verein, spiele, siege, unentschieden, niederlagen, tore, differenz, punkte
var this_version = 1.26;
var currentLiga = 0;
var currentView = 0;
var currentSource = 0;
var currentHighlight = -1;
var LogoStyle = 0;
var cLiga = 'BL2';
var cView = 'hori';
var cSource = 'spiegel';
var cLogoSyle = "3D";
var cHighlight = '';
var url_online = "";
var hinten = false;

var widgetWidth = new Array();
widgetWidth[0] = "650";
widgetWidth[1] = "80";
widgetWidth[2] = "400";
widgetWidth[3] = "600";

var widgetHeight = new Array();
widgetHeight[0] = "80";
widgetHeight[1] = "650";
widgetHeight[2] = "370";
widgetHeight[3] = "120";

if(window.widget)
{
	cLiga = widget.preferenceForKey("currentLiga");
	cView = widget.preferenceForKey("currentView");
	cSource = widget.preferenceForKey("currentSource");
	cHighlight = widget.preferenceForKey("currentHighlight");
	cLogoStyle = widget.preferenceForKey("LogoStyle");
}
if(cView == 'hori') currentView = 0;
else if(cView == 'verti') currentView = 1;
else if(cView == 'ges') currentView = 2;
if(cLiga == 'BL1') currentLiga = 0;
else if(cLiga == 'BL2') currentLiga = 1;
else if(cLiga == 'BL3') currentLiga = 2;
else if(cLiga == 'RLs') currentLiga = 3;
if(cSource == 'ard') currentSource = 0;
else if(cSource == 'bild') currentSource = 1;
else if(cSource == 'spiegel') currentSource = 2;
if(cLogoStyle == '3D') LogoStyle = 0;
else if(cLogoStyle == '2D') LogoStyle = 1;



if(currentLiga != 0 && currentLiga != 1 && currentLiga != 2 && currentLiga != 3) currentLiga = 0;
if(currentView != 0 && currentView != 1 && currentView != 2) currentView = 0;
if(LogoStyle != 0 && LogoStyle != 1) LogoStyle = 0;
if(currentSource != 1 && currentSource != 2) currentSource = 1;

var datenstand="";

var Tabelle = new Array();
Tabelle[0] = new Array();
Tabelle[1] = new Array();
Tabelle[2] = new Array();
Tabelle[3] = new Array();

var Success = new Array();
Success[0] = -1;
Success[1] = -1;
Success[2] = -1;
Success[3] = -1;

var gfxpath2d = "Images/logos 2d/";
var gfxpath3d = "Images/logos 3d/";

var Icons = new Array();

Icons[0] = new Array(); 			//ID-Nummer
Icons[0][0] = new Array();			//1. Liga
Icons[0][1] = new Array();			//2. Liga
Icons[0][2] = new Array();			//RL-Nord
Icons[0][3] = new Array();			//RL-Sued
Icons[0][0][0] = new Array();			//Orginal-Name
Icons[0][0][1] = new Array();			//1. Quelle
Icons[0][0][2] = new Array();			//2. Quelle
Icons[0][1][0] = new Array();			//Org
Icons[0][1][1] = new Array();			//1. Quelle
Icons[0][1][2] = new Array();			//2.
Icons[0][2][0] = new Array();			//Org
Icons[0][2][1] = new Array();			//1. Quelle
Icons[0][2][2] = new Array();			//2.
Icons[0][3][0] = new Array();			//Org
Icons[0][3][1] = new Array();			//1. Quelle
Icons[0][3][2] = new Array();			//2. Quelle
Icons[0][0][0][0] = "Bayern München";
Icons[0][0][0][1] = "bayern.png";
Icons[0][0][1][0] = "Bayern München";
Icons[0][0][2][0] = "Bayern München";
Icons[0][1][0][0] = "TSV 1860 München";
Icons[0][1][0][1] = "1860munchen.png";
Icons[0][1][1][0] = "TSV 1860 München";
Icons[0][1][2][0] = "1860 München";
Icons[0][2][0][0] = "Dynamo Dresden";
Icons[0][2][0][1] = "dynamodresden.png";
Icons[0][2][1][0] = "Dynamo Dresden";
Icons[0][2][2][0] = "Dynamo Dresden";

Icons[0][3][0][0] = "Stuttgarter Kickers";
Icons[0][3][0][1] = "stuttgarterkickers.png";
Icons[0][3][1][0] = "Kick. Stuttgart";
Icons[0][3][2][0] = "Stuttgarter Kickers";

Icons[1] = new Array();
Icons[1][0] = new Array();
Icons[1][1] = new Array();
Icons[1][2] = new Array();
Icons[1][3] = new Array();
Icons[1][0][0] = new Array();			//1. Quelle
Icons[1][0][1] = new Array();			//2. Quelle
Icons[1][0][2] = new Array();			//3. Quelle
Icons[1][1][0] = new Array();			//1. Quelle
Icons[1][1][1] = new Array();			//2. Quelle
Icons[1][1][2] = new Array();			//3. Quelle
Icons[1][2][0] = new Array();			//1. Quelle
Icons[1][2][1] = new Array();			//2. Quelle
Icons[1][2][2] = new Array();			//3. Quelle
Icons[1][3][0] = new Array();			//1. Quelle
Icons[1][3][1] = new Array();			//2. Quelle
Icons[1][3][2] = new Array();			//3. Quelle
Icons[1][0][0][0] = "Werder Bremen";
Icons[1][0][0][1] = "bremen.png";
Icons[1][0][1][0] = "Werder Bremen";
Icons[1][0][2][0] = "Werder Bremen";
Icons[1][1][0][0] = "VfL Bochum";
Icons[1][1][0][1] = "bochum.png";
Icons[1][1][1][0] = "VfL Bochum";
Icons[1][1][2][0] = "VfL Bochum";
Icons[1][2][0][0] = "1. FC Saarbrücken";
Icons[1][2][0][1] = "saarbrucken.png";
Icons[1][2][1][0] = "1. FC Saarbrücken";
Icons[1][2][2][0] = "1. FC Saarbrücken";

Icons[1][3][0][0] = "SSV Jahn Regensburg";
Icons[1][3][0][1] = "regensburg.png";
Icons[1][3][1][0] = "Jahn Regensburg";
Icons[1][3][2][0] = "SSV Jahn Regensburg";

Icons[2] = new Array();
Icons[2][0] = new Array();
Icons[2][1] = new Array();
Icons[2][2] = new Array();
Icons[2][3] = new Array();
Icons[2][0][0] = new Array();			//1. Quelle
Icons[2][0][1] = new Array();			//2. Quelle
Icons[2][0][2] = new Array();			//3. Quelle
Icons[2][1][0] = new Array();			//1. Quelle
Icons[2][1][1] = new Array();			//2. Quelle
Icons[2][1][2] = new Array();			//3. Quelle
Icons[2][2][0] = new Array();			//1. Quelle
Icons[2][2][1] = new Array();			//2. Quelle
Icons[2][2][2] = new Array();			//3. Quelle
Icons[2][3][0] = new Array();			//1. Quelle
Icons[2][3][1] = new Array();			//2. Quelle
Icons[2][3][2] = new Array();			//3. Quelle
Icons[2][0][0][0] = "Hamburger SV";
Icons[2][0][0][1] = "hsv.png";
Icons[2][0][1][0] = "Hamburger SV";
Icons[2][0][2][0] = "Hamburger SV";
Icons[2][1][0][0] = "FC Augsburg";
Icons[2][1][0][1] = "augsburg.png";
Icons[2][1][1][0] = "FC Augsburg";
Icons[2][1][2][0] = "FC Augsburg";
Icons[2][2][0][0] = "VfR Aalen";
Icons[2][2][0][1] = "aalen.png";
Icons[2][2][1][0] = "VfR Aalen";
Icons[2][2][2][0] = "VfR Aalen";

Icons[2][3][0][0] = "KSV Hessen Kassel";
Icons[2][3][0][1] = "hessenkassel.png";
Icons[2][3][1][0] = "Hessen Kassel";
Icons[2][3][2][0] = "KSV Hessen Kassel";

Icons[3] = new Array();
Icons[3][0] = new Array();
Icons[3][1] = new Array();
Icons[3][2] = new Array();
Icons[3][3] = new Array();
Icons[3][0][0] = new Array();			//1. Quelle
Icons[3][0][1] = new Array();			//2. Quelle
Icons[3][0][2] = new Array();			//3. Quelle
Icons[3][1][0] = new Array();			//1. Quelle
Icons[3][1][1] = new Array();			//2. Quelle
Icons[3][1][2] = new Array();			//3. Quelle
Icons[3][2][0] = new Array();			//1. Quelle
Icons[3][2][1] = new Array();			//2. Quelle
Icons[3][2][2] = new Array();			//3. Quelle
Icons[3][3][0] = new Array();			//1. Quelle
Icons[3][3][1] = new Array();			//2. Quelle
Icons[3][3][2] = new Array();			//3. Quelle
Icons[3][0][0][0] = "Schalke 04";
Icons[3][0][0][1] = "schalke.png";
Icons[3][0][1][0] = "FC Schalke 04";
Icons[3][0][2][0] = "FC Schalke 04";
Icons[3][1][0][0] = "FSV Frankfurt";
Icons[3][1][0][1] = "fsv_frankfurt.png";
Icons[3][1][1][0] = "FSV Frankfurt";
Icons[3][1][2][0] = "FSV Frankfurt";
Icons[3][2][0][0] = "Werder Bremen II";
Icons[3][2][0][1] = "bremen.png";
Icons[3][2][1][0] = "Werder Bremen II";
Icons[3][2][2][0] = "Werder Bremen II";

Icons[3][3][0][0] = "VfB Stuttgart II";
Icons[3][3][0][1] = "stuttgart.png";
Icons[3][3][1][0] = "VfB Stuttgart II";
Icons[3][3][2][0] = "VfB Stuttgart II";

Icons[4] = new Array();
Icons[4][0] = new Array();
Icons[4][1] = new Array();
Icons[4][2] = new Array();
Icons[4][3] = new Array();
Icons[4][0][0] = new Array();			//1. Quelle
Icons[4][0][1] = new Array();			//2. Quelle
Icons[4][0][2] = new Array();			//3. Quelle
Icons[4][1][0] = new Array();			//1. Quelle
Icons[4][1][1] = new Array();			//2. Quelle
Icons[4][1][2] = new Array();			//3. Quelle
Icons[4][2][0] = new Array();			//1. Quelle
Icons[4][2][1] = new Array();			//2. Quelle
Icons[4][2][2] = new Array();			//3. Quelle
Icons[4][3][0] = new Array();			//1. Quelle
Icons[4][3][1] = new Array();			//2. Quelle
Icons[4][3][2] = new Array();			//3. Quelle
Icons[4][0][0][0] = "FC St. Pauli";
Icons[4][0][0][1] = "stpauli.png";
Icons[4][0][1][0] = "FC St. Pauli";
Icons[4][0][2][0] = "FC St. Pauli";
Icons[4][1][0][0] = "Hertha BSC Berlin";
Icons[4][1][0][1] = "hertha.png";
Icons[4][1][1][0] = "Hertha BSC Berlin";
Icons[4][1][2][0] = "Hertha BSC";
Icons[4][2][0][0] = "Rot Weiss Ahlen";
Icons[4][2][0][1] = "ahlen.png";
Icons[4][2][1][0] = "RW Ahlen";
Icons[4][2][2][0] = "Rot Weiss Ahlen";

Icons[4][3][0][0] = "SV Sandhausen";
Icons[4][3][0][1] = "sandhausen.png";
Icons[4][3][1][0] = "SV Sandhausen";
Icons[4][3][2][0] = "SV Sandhausen";

Icons[5] = new Array();
Icons[5][0] = new Array();
Icons[5][1] = new Array();
Icons[5][2] = new Array();
Icons[5][3] = new Array();
Icons[5][0][0] = new Array();			//1. Quelle
Icons[5][0][1] = new Array();			//2. Quelle
Icons[5][0][2] = new Array();			//3. Quelle
Icons[5][1][0] = new Array();			//1. Quelle
Icons[5][1][1] = new Array();			//2. Quelle
Icons[5][1][2] = new Array();			//3. Quelle
Icons[5][2][0] = new Array();			//1. Quelle
Icons[5][2][1] = new Array();			//2. Quelle
Icons[5][2][2] = new Array();			//3. Quelle
Icons[5][3][0] = new Array();			//1. Quelle
Icons[5][3][1] = new Array();			//2. Quelle
Icons[5][3][2] = new Array();			//3. Quelle
Icons[5][0][0][0] = "SC Freiburg";
Icons[5][0][0][1] = "freiburg.png";
Icons[5][0][1][0] = "SC Freiburg";
Icons[5][0][2][0] = "SC Freiburg";
Icons[5][1][0][0] = "Alemannia Aachen";
Icons[5][1][0][1] = "aachen.png";
Icons[5][1][1][0] = "Alemannia Aachen";
Icons[5][1][2][0] = "Alemannia Aachen";
Icons[5][2][0][0] = "Wacker Burghausen";
Icons[5][2][0][1] = "burghausen.png";
Icons[5][2][1][0] = "Wacker Burghausen";
Icons[5][2][2][0] = "Wacker Burghausen";

Icons[5][3][0][0] = "Bayern M&uuml;nchen II";
Icons[5][3][0][1] = "bayern.png";
Icons[5][3][1][0] = "Bayern II";
Icons[5][3][2][0] = "Bayern München II";

Icons[6] = new Array();
Icons[6][0] = new Array();
Icons[6][1] = new Array();
Icons[6][2] = new Array();
Icons[6][3] = new Array();
Icons[6][0][0] = new Array();			//1. Quelle
Icons[6][0][1] = new Array();			//2. Quelle
Icons[6][0][2] = new Array();			//3. Quelle
Icons[6][1][0] = new Array();			//1. Quelle
Icons[6][1][1] = new Array();			//2. Quelle
Icons[6][1][2] = new Array();			//3. Quelle
Icons[6][2][0] = new Array();			//1. Quelle
Icons[6][2][1] = new Array();			//2. Quelle
Icons[6][2][2] = new Array();			//3. Quelle
Icons[6][3][0] = new Array();			//1. Quelle
Icons[6][3][1] = new Array();			//2. Quelle
Icons[6][3][2] = new Array();			//3. Quelle
Icons[6][0][0][0] = "VfL Wolfsburg";
Icons[6][0][0][1] = "wolfsburg.png";
Icons[6][0][1][0] = "VfL Wolfsburg";
Icons[6][0][2][0] = "VfL Wolfsburg";
Icons[6][1][0][0] = "Karlsruher SC";
Icons[6][1][0][1] = "karlsruhe.png";
Icons[6][1][1][0] = "Karlsruher SC";
Icons[6][1][2][0] = "Karlsruher SC";
Icons[6][2][0][0] = "SpVgg Unterhaching";
Icons[6][2][0][1] = "unterhaching.png";
Icons[6][2][1][0] = "Unterhaching";
Icons[6][2][2][0] = "SpVgg Unterhaching";

Icons[6][3][0][0] = "SSV Reutlingen";
Icons[6][3][0][1] = "reutlingen.png";
Icons[6][3][1][0] = "SSV Reutlingen";
Icons[6][3][2][0] = "SSV Reutlingen";

Icons[7] = new Array();
Icons[7][0] = new Array();
Icons[7][1] = new Array();
Icons[7][2] = new Array();
Icons[7][3] = new Array();
Icons[7][0][0] = new Array();			//1. Quelle
Icons[7][0][1] = new Array();			//2. Quelle
Icons[7][0][2] = new Array();			//3. Quelle
Icons[7][1][0] = new Array();			//1. Quelle
Icons[7][1][1] = new Array();			//2. Quelle
Icons[7][1][2] = new Array();			//3. Quelle
Icons[7][2][0] = new Array();			//1. Quelle
Icons[7][2][1] = new Array();			//2. Quelle
Icons[7][2][2] = new Array();			//3. Quelle
Icons[7][3][0] = new Array();			//1. Quelle
Icons[7][3][1] = new Array();			//2. Quelle
Icons[7][3][2] = new Array();			//3. Quelle
Icons[7][0][0][0] = "1. FC Kaiserslautern";
Icons[7][0][0][1] = "kaiserslautern.png";
Icons[7][0][1][0] = "Kaiserslautern";
Icons[7][0][2][0] = "1. FC Kaiserslautern";
Icons[7][1][0][0] = "Union Berlin";
Icons[7][1][0][1] = "unionberlin.png";
Icons[7][1][1][0] = "Union Berlin";
Icons[7][1][2][0] = "1. FC Union Berlin";
Icons[7][2][0][0] = "Hansa Rostock";
Icons[7][2][0][1] = "rostock.png";
Icons[7][2][1][0] = "Hansa Rostock";
Icons[7][2][2][0] = "Hansa Rostock";

Icons[7][3][0][0] = "Wacker Burghausen";
Icons[7][3][0][1] = "burghausen.png";
Icons[7][3][1][0] = "Burghausen";
Icons[7][3][2][0] = "Wacker Burghausen";

Icons[8] = new Array();
Icons[8][0] = new Array();
Icons[8][1] = new Array();
Icons[8][2] = new Array();
Icons[8][3] = new Array();
Icons[8][0][0] = new Array();			//1. Quelle
Icons[8][0][1] = new Array();			//2. Quelle
Icons[8][0][2] = new Array();			//3. Quelle
Icons[8][1][0] = new Array();			//1. Quelle
Icons[8][1][1] = new Array();			//2. Quelle
Icons[8][1][2] = new Array();			//3. Quelle
Icons[8][2][0] = new Array();			//1. Quelle
Icons[8][2][1] = new Array();			//2. Quelle
Icons[8][2][2] = new Array();			//3. Quelle
Icons[8][3][0] = new Array();			//1. Quelle
Icons[8][3][1] = new Array();			//2. Quelle
Icons[8][3][2] = new Array();			//3. Quelle
Icons[8][0][0][0] = "Hannover 96";
Icons[8][0][0][1] = "hannover.png";
Icons[8][0][1][0] = "Hannover 96";
Icons[8][0][2][0] = "Hannover 96";
Icons[8][1][0][0] = "Energie Cottbus";
Icons[8][1][0][1] = "cottbus.png";
Icons[8][1][1][0] = "Energie Cottbus";
Icons[8][1][2][0] = "Energie Cottbus";
Icons[8][2][0][0] = "Carl Zeiss Jena";
Icons[8][2][0][1] = "jena.png";
Icons[8][2][1][0] = "Carl Zeiss Jena";
Icons[8][2][2][0] = "Carl Zeiss Jena";

Icons[8][3][0][0] = "SpVgg Unterhaching";
Icons[8][3][0][1] = "unterhaching.png";
Icons[8][3][1][0] = "Unterhaching";
Icons[8][3][2][0] = "SpVgg Unterhaching";

Icons[9] = new Array();
Icons[9][0] = new Array();
Icons[9][1] = new Array();
Icons[9][2] = new Array();
Icons[9][3] = new Array();
Icons[9][0][0] = new Array();			//1. Quelle
Icons[9][0][1] = new Array();			//2. Quelle
Icons[9][0][2] = new Array();			//3. Quelle
Icons[9][1][0] = new Array();			//1. Quelle
Icons[9][1][1] = new Array();			//2. Quelle
Icons[9][1][2] = new Array();			//3. Quelle
Icons[9][2][0] = new Array();			//1. Quelle
Icons[9][2][1] = new Array();			//2. Quelle
Icons[9][2][2] = new Array();			//3. Quelle
Icons[9][3][0] = new Array();			//1. Quelle
Icons[9][3][1] = new Array();			//2. Quelle
Icons[9][3][2] = new Array();			//3. Quelle
Icons[9][0][0][0] = "Bayer Leverkusen";
Icons[9][0][0][1] = "leverkusen.png";
Icons[9][0][1][0] = "Bayer Leverkusen";
Icons[9][0][2][0] = "Bayer Leverkusen";
Icons[9][1][0][0] = "SpVgg Greuther Fürth";
Icons[9][1][0][1] = "furth.png";
Icons[9][1][1][0] = "SpVgg Gr. Fürth";
Icons[9][1][2][0] = "SpVgg Greuther Fürth";
Icons[9][2][0][0] = "Rot-Weiß Erfurt";
Icons[9][2][0][1] = "erfurt.png";
Icons[9][2][1][0] = "RW Erfurt";
Icons[9][2][2][0] = "Rot-Weiß Erfurt";

Icons[9][3][0][0] = "SC Pfullendorf";
Icons[9][3][0][1] = "pfullendorf.png";
Icons[9][3][1][0] = "SC Pfullendorf";
Icons[9][3][2][0] = "SC Pfullendorf";

Icons[10] = new Array();
Icons[10][0] = new Array();
Icons[10][1] = new Array();
Icons[10][2] = new Array();
Icons[10][3] = new Array();
Icons[10][0][0] = new Array();			//1. Quelle
Icons[10][0][1] = new Array();			//2. Quelle
Icons[10][0][2] = new Array();			//3. Quelle
Icons[10][1][0] = new Array();			//1. Quelle
Icons[10][1][1] = new Array();			//2. Quelle
Icons[10][1][2] = new Array();			//3. Quelle
Icons[10][2][0] = new Array();			//1. Quelle
Icons[10][2][1] = new Array();			//2. Quelle
Icons[10][2][2] = new Array();			//3. Quelle
Icons[10][3][0] = new Array();			//1. Quelle
Icons[10][3][1] = new Array();			//2. Quelle
Icons[10][3][2] = new Array();			//3. Quelle
Icons[10][0][0][0] = "FSV Mainz 05";
Icons[10][0][0][1] = "mainz.png";
Icons[10][0][1][0] = "FSV Mainz 05";
Icons[10][0][2][0] = "1. FSV Mainz 05";
Icons[10][1][0][0] = "SC Paderborn";
Icons[10][1][0][1] = "paderborn.png";
Icons[10][1][1][0] = "SC Paderborn";
Icons[10][1][2][0] = "SC Paderborn 07";
Icons[10][2][0][0] = "SV Sandhausen";
Icons[10][2][0][1] = "sandhausen.png";
Icons[10][2][1][0] = "SV Sandhausen";
Icons[10][2][2][0] = "SV Sandhausen";

Icons[10][3][0][0] = "SV Elversberg";
Icons[10][3][0][1] = "elversberg.png";
Icons[10][3][1][0] = "SV Elversberg";
Icons[10][3][2][0] = "SV Elversberg";

Icons[11] = new Array();
Icons[11][0] = new Array();
Icons[11][1] = new Array();
Icons[11][2] = new Array();
Icons[11][3] = new Array();
Icons[11][0][0] = new Array();			//1. Quelle
Icons[11][0][1] = new Array();			//2. Quelle
Icons[11][0][2] = new Array();			//3. Quelle
Icons[11][1][0] = new Array();			//1. Quelle
Icons[11][1][1] = new Array();			//2. Quelle
Icons[11][1][2] = new Array();			//3. Quelle
Icons[11][2][0] = new Array();			//1. Quelle
Icons[11][2][1] = new Array();			//2. Quelle
Icons[11][2][2] = new Array();			//3. Quelle
Icons[11][3][0] = new Array();			//1. Quelle
Icons[11][3][1] = new Array();			//2. Quelle
Icons[11][3][2] = new Array();			//3. Quelle
Icons[11][0][0][0] = "Eintracht Frankfurt";
Icons[11][0][0][1] = "eintrachtfrankfurt.png";
Icons[11][0][1][0] = "Eintracht Frankfurt";
Icons[11][0][2][0] = "Eintracht Frankfurt";
Icons[11][1][0][0] = "Erzgebirge Aue";
Icons[11][1][0][1] = "aue.png";
Icons[11][1][1][0] = "Erzgebirge Aue";
Icons[11][1][2][0] = "Erzgebirge Aue";
Icons[11][2][0][0] = "Bayern München II";
Icons[11][2][0][1] = "bayern.png";
Icons[11][2][1][0] = "Bayern München II";
Icons[11][2][2][0] = "Bayern München II";

Icons[11][3][0][0] = "Kickers Offenbach";
Icons[11][3][0][1] = "offenbach.png";
Icons[11][3][1][0] = "Kick. Offenbach";
Icons[11][3][2][0] = "Kickers Offenbach";

Icons[12] = new Array();
Icons[12][0] = new Array();
Icons[12][1] = new Array();
Icons[12][2] = new Array();
Icons[12][3] = new Array();
Icons[12][0][0] = new Array();			//1. Quelle
Icons[12][0][1] = new Array();			//2. Quelle
Icons[12][0][2] = new Array();			//3. Quelle
Icons[12][1][0] = new Array();			//1. Quelle
Icons[12][1][1] = new Array();			//2. Quelle
Icons[12][1][2] = new Array();			//3. Quelle
Icons[12][2][0] = new Array();			//1. Quelle
Icons[12][2][1] = new Array();			//2. Quelle
Icons[12][2][2] = new Array();			//3. Quelle
Icons[12][3][0] = new Array();			//1. Quelle
Icons[12][3][1] = new Array();			//2. Quelle
Icons[12][3][2] = new Array();			//3. Quelle
Icons[12][0][0][0] = "Borussia Dortmund";
Icons[12][0][0][1] = "dortmund.png";
Icons[12][0][1][0] = "Borussia Dortmund";
Icons[12][0][2][0] = "Borussia Dortmund";
Icons[12][1][0][0] = "RW Oberhausen";
Icons[12][1][0][1] = "oberhausen.png";
Icons[12][1][1][0] = "RW Oberhausen";
Icons[12][1][2][0] = "Rot-Weiß Oberhausen";
Icons[12][2][0][0] = "Kickers Offenbach";
Icons[12][2][0][1] = "offenbach.png";
Icons[12][2][1][0] = "Kickers Offenbach";
Icons[12][2][2][0] = "Kickers Offenbach";

Icons[12][3][0][0] = "TSV 1860 München II";
Icons[12][3][0][1] = "1860munchen.png";
Icons[12][3][1][0] = "TSV 1860 II";
Icons[12][3][2][0] = "TSV 1860 München II";

Icons[13] = new Array();
Icons[13][0] = new Array();
Icons[13][1] = new Array();
Icons[13][2] = new Array();
Icons[13][3] = new Array();
Icons[13][0][0] = new Array();			//1. Quelle
Icons[13][0][1] = new Array();			//2. Quelle
Icons[13][0][2] = new Array();			//3. Quelle
Icons[13][1][0] = new Array();			//1. Quelle
Icons[13][1][1] = new Array();			//2. Quelle
Icons[13][1][2] = new Array();			//3. Quelle
Icons[13][2][0] = new Array();			//1. Quelle
Icons[13][2][1] = new Array();			//2. Quelle
Icons[13][2][2] = new Array();			//3. Quelle
Icons[13][3][0] = new Array();			//1. Quelle
Icons[13][3][1] = new Array();			//2. Quelle
Icons[13][3][2] = new Array();			//3. Quelle
Icons[13][0][0][0] = "VfB Stuttgart";
Icons[13][0][0][1] = "stuttgart.png";
Icons[13][0][1][0] = "VfB Stuttgart";
Icons[13][0][2][0] = "VfB Stuttgart";
Icons[13][1][0][0] = "Arminia Bielefeld";
Icons[13][1][0][1] = "bielefeld.png";
Icons[13][1][1][0] = "Arminia Bielefeld";
Icons[13][1][2][0] = "Arminia Bielefeld";
Icons[13][2][0][0] = "SV Babelsberg 03";
Icons[13][2][0][1] = "babelsberg.png";
Icons[13][2][1][0] = "SV Babelsberg 03";
Icons[13][2][2][0] = "SV Babelsberg 03";

Icons[13][3][0][0] = "VfR Aalen";
Icons[13][3][0][1] = "aalen.png";
Icons[13][3][1][0] = "VfR Aalen";
Icons[13][3][2][0] = "VfR Aalen";

Icons[14] = new Array();
Icons[14][0] = new Array();
Icons[14][1] = new Array();
Icons[14][2] = new Array();
Icons[14][3] = new Array();
Icons[14][0][0] = new Array();			//1. Quelle
Icons[14][0][1] = new Array();			//2. Quelle
Icons[14][0][2] = new Array();			//3. Quelle
Icons[14][1][0] = new Array();			//1. Quelle
Icons[14][1][1] = new Array();			//2. Quelle
Icons[14][1][2] = new Array();			//3. Quelle
Icons[14][2][0] = new Array();			//1. Quelle
Icons[14][2][1] = new Array();			//2. Quelle
Icons[14][2][2] = new Array();			//3. Quelle
Icons[14][3][0] = new Array();			//1. Quelle
Icons[14][3][1] = new Array();			//2. Quelle
Icons[14][3][2] = new Array();			//3. Quelle
Icons[14][0][0][0] = "1. FC Köln";
Icons[14][0][0][1] = "koln.png";
Icons[14][0][1][0] = "1. FC Köln";
Icons[14][0][2][0] = "1. FC Köln";
Icons[14][1][0][0] = "Fortuna Düsseldorf";
Icons[14][1][0][1] = "fortunadusseldorf.png";
Icons[14][1][1][0] = "Fortuna Düsseldorf";
Icons[14][1][2][0] = "Fortuna Düsseldorf";
Icons[14][2][0][0] = "SV Wehen Wiesbaden";
Icons[14][2][0][1] = "wehen.png";
Icons[14][2][1][0] = "SV Wehen";
Icons[14][2][2][0] = "SV Wehen Wiesbaden";

Icons[14][3][0][0] = "Karlsruher SC II";
Icons[14][3][0][1] = "karlsruhe.png";
Icons[14][3][1][0] = "Karlsruhe II";
Icons[14][3][2][0] = "Karlsruher SC II";

Icons[15] = new Array();
Icons[15][0] = new Array();
Icons[15][1] = new Array();
Icons[15][2] = new Array();
Icons[15][3] = new Array();
Icons[15][0][0] = new Array();			//1. Quelle
Icons[15][0][1] = new Array();			//2. Quelle
Icons[15][0][2] = new Array();			//3. Quelle
Icons[15][1][0] = new Array();			//1. Quelle
Icons[15][1][1] = new Array();			//2. Quelle
Icons[15][1][2] = new Array();			//3. Quelle
Icons[15][2][0] = new Array();			//1. Quelle
Icons[15][2][1] = new Array();			//2. Quelle
Icons[15][2][2] = new Array();			//3. Quelle
Icons[15][3][0] = new Array();			//1. Quelle
Icons[15][3][1] = new Array();			//2. Quelle
Icons[15][3][2] = new Array();			//3. Quelle
Icons[15][0][0][0] = "1. FC Nürnberg";
Icons[15][0][0][1] = "nurnberg.png";
Icons[15][0][1][0] = "1. FC Nürnberg";
Icons[15][0][2][0] = "1. FC Nürnberg";
Icons[15][1][0][0] = "VfL Osnabrück";
Icons[15][1][0][1] = "osnabruck.png";
Icons[15][1][1][0] = "VfL Osnabrück";
Icons[15][1][2][0] = "VfL Osnabrück";
Icons[15][2][0][0] = "Eintracht Braunschweig";
Icons[15][2][0][1] = "braunschweig.png";
Icons[15][2][1][0] = "Eintr. Braunschweig";
Icons[15][2][2][0] = "Eintracht Braunschweig";

Icons[15][3][0][0] = "SV Wehen Wiesbaden";
Icons[15][3][0][1] = "wehen.png";
Icons[15][3][1][0] = "SV Wehen";
Icons[15][3][2][0] = "SV Wehen Wiesbaden";

Icons[16] = new Array();
Icons[16][0] = new Array();
Icons[16][1] = new Array();
Icons[16][2] = new Array();
Icons[16][3] = new Array();
Icons[16][0][0] = new Array();			//1. Quelle
Icons[16][0][1] = new Array();			//2. Quelle
Icons[16][0][2] = new Array();			//3. Quelle
Icons[16][1][0] = new Array();			//1. Quelle
Icons[16][1][1] = new Array();			//2. Quelle
Icons[16][1][2] = new Array();			//3. Quelle
Icons[16][2][0] = new Array();			//1. Quelle
Icons[16][2][1] = new Array();			//2. Quelle
Icons[16][2][2] = new Array();			//3. Quelle
Icons[16][3][0] = new Array();			//1. Quelle
Icons[16][3][1] = new Array();			//2. Quelle
Icons[16][3][2] = new Array();			//3. Quelle
Icons[16][0][0][0] = "Borussia Mönchengladbach";
Icons[16][0][0][1] = "gladbach.png";
Icons[16][0][1][0] = "Mönchengladbach";
Icons[16][0][2][0] = "Borussia M'gladbach";
Icons[16][1][0][0] = "MSV Duisburg";
Icons[16][1][0][1] = "duisburg.png";
Icons[16][1][1][0] = "MSV Duisburg";
Icons[16][1][2][0] = "MSV Duisburg";
Icons[16][2][0][0] = "Jahn Regensburg";
Icons[16][2][0][1] = "regensburg.png";
Icons[16][2][1][0] = "Jahn Regensburg";
Icons[16][2][2][0] = "Jahn Regensburg";

Icons[16][3][0][0] = "FSV Ludwigshafen-Oggersheim";
Icons[16][3][0][1] = "oggersheim.png";
Icons[16][3][1][0] = "FSV Oggersheim";
Icons[16][3][2][0] = "FSV Ludwigshafen-Oggersheim";

Icons[17] = new Array();
Icons[17][0] = new Array();
Icons[17][1] = new Array();
Icons[17][2] = new Array();
Icons[17][3] = new Array();
Icons[17][0][0] = new Array();			//1. Quelle
Icons[17][0][1] = new Array();			//2. Quelle
Icons[17][0][2] = new Array();			//3. Quelle
Icons[17][1][0] = new Array();			//1. Quelle
Icons[17][1][1] = new Array();			//2. Quelle
Icons[17][1][2] = new Array();			//3. Quelle
Icons[17][2][0] = new Array();			//1. Quelle
Icons[17][2][1] = new Array();			//2. Quelle
Icons[17][2][2] = new Array();			//3. Quelle
Icons[17][3][0] = new Array();			//1. Quelle
Icons[17][3][1] = new Array();			//2. Quelle
Icons[17][3][2] = new Array();			//3. Quelle
Icons[17][0][0][0] = "TSG 1899 Hoffenheim";
Icons[17][0][0][1] = "hoffenheim.png";
Icons[17][0][1][0] = "1899 Hoffenheim";
Icons[17][0][2][0] = "1899 Hoffenheim";
Icons[17][1][0][0] = "FC Ingolstadt 04";
Icons[17][1][0][1] = "ingolstadt.png";
Icons[17][1][1][0] = "FC Ingolstadt";
Icons[17][1][2][0] = "FC Ingolstadt 04";
Icons[17][2][0][0] = "TuS Koblenz";
Icons[17][2][0][1] = "koblenz.png";
Icons[17][2][1][0] = "TuS Koblenz";
Icons[17][2][2][0] = "TuS Koblenz";

Icons[17][3][0][0] = "Sportfreunde Siegen";
Icons[17][3][0][1] = "siegen.png";
Icons[17][3][1][0] = "Sportfr. Siegen";
Icons[17][3][2][0] = "Sportfreunde Siegen";


Icons[18] = new Array();
Icons[18][0] = new Array();
Icons[18][1] = new Array();
Icons[18][2] = new Array();
Icons[18][3] = new Array();
Icons[18][0][0] = new Array();			//1. Quelle
Icons[18][0][1] = new Array();			//2. Quelle
Icons[18][0][2] = new Array();			//3. Quelle
Icons[18][1][0] = new Array();			//1. Quelle
Icons[18][1][1] = new Array();			//2. Quelle
Icons[18][1][2] = new Array();			//3. Quelle
Icons[18][2][0] = new Array();			//1. Quelle
Icons[18][2][1] = new Array();			//2. Quelle
Icons[18][2][2] = new Array();			//3. Quelle
Icons[18][3][0] = new Array();			//1. Quelle
Icons[18][3][1] = new Array();			//2. Quelle
Icons[18][3][2] = new Array();			//3. Quelle
Icons[18][2][0][0] = "VfB Stuttgart II";
Icons[18][2][0][1] = "stuttgart.png";
Icons[18][2][1][0] = "VfB Stuttgart II";
Icons[18][2][2][0] = "VfB Stuttgart II";

Icons[18][0][0][0] = "";
Icons[18][0][0][1] = "";
Icons[18][0][1][0] = "";
Icons[18][0][2][0] = "";
Icons[18][1][0][0] = "";
Icons[18][1][0][1] = "";
Icons[18][1][1][0] = "";
Icons[18][1][2][0] = "";
Icons[18][3][0][0] = "";
Icons[18][3][0][1] = "";
Icons[18][3][1][0] = "";
Icons[18][3][2][0] = "";

Icons[19] = new Array();
Icons[19][0] = new Array();
Icons[19][1] = new Array();
Icons[19][2] = new Array();
Icons[19][3] = new Array();
Icons[19][0][0] = new Array();			//1. Quelle
Icons[19][0][1] = new Array();			//2. Quelle
Icons[19][0][2] = new Array();			//3. Quelle
Icons[19][1][0] = new Array();			//1. Quelle
Icons[19][1][1] = new Array();			//2. Quelle
Icons[19][1][2] = new Array();			//3. Quelle
Icons[19][2][0] = new Array();			//1. Quelle
Icons[19][2][1] = new Array();			//2. Quelle
Icons[19][2][2] = new Array();			//3. Quelle
Icons[19][3][0] = new Array();			//1. Quelle
Icons[19][3][1] = new Array();			//2. Quelle
Icons[19][3][2] = new Array();			//3. Quelle
Icons[19][2][0][0] = "1. FC Heidenheim";
Icons[19][2][0][1] = "heidenheim.png";
Icons[19][2][1][0] = "1. FC Heidenheim";
Icons[19][2][2][0] = "1. FC Heidenheim";

Icons[19][0][0][0] = "";
Icons[19][0][0][1] = "";
Icons[19][0][1][0] = "";
Icons[19][0][2][0] = "";
Icons[19][1][0][0] = "";
Icons[19][1][0][1] = "";
Icons[19][1][1][0] = "";
Icons[19][1][2][0] = "";
Icons[19][3][0][0] = "";
Icons[19][3][0][1] = "";
Icons[19][3][1][0] = "";
Icons[19][3][2][0] = "";

currentHighlight = -1;
if(cHighlight == 'nope')
{
	currentHighlight = -1;
}
else
{
	for(var i=0; i <  20; i++)
	{
		if(Icons[i][currentLiga][currentSource][0] == cHighlight)
		{
			currentHighlight = i;
			break;
		}
	}
}

function gotoURL()
{
	hidePrefs();
	widget.openURL('http://www.macuser.de/forum/showthread.php?t=112543');
	
}

function switch_liga(x)
{
	currentLiga = x;
	currentHighlight = -1;
	buildLigen();
	showLiga();
	savePrefs();
}

function switchView(x)
{
	currentView = x;
	hideUpdateWindow();
	adjustWidgetSize();
	showLiga();
	savePrefs();
}

function switchSource(x)
{
	currentSource = x;
	currentHighlight = -1;
	reloadBL();
	showLiga();
	savePrefs();
}

function CheckForUpdate()
{
	document.getElementById("Version_var").innerHTML = this_version;
	showLoad(2);
	var version_online;
	var dummy;
	var wort;

	wort = readDOM("http://www.florianfranz.net/Bundesliga/BL_Widget.txt");
	dummy = /(.+?),(.+?);/;
		
	if (dummy.test(wort))
	{
		dummy.exec(wort);			
		version_online		=	RegExp.$1;
		url_online		=	RegExp.$2;
	}
	showLoad(0);
	if(version_online > this_version)
	{
		//hidePrefs();
		//widget.openURL(url_online);
		
		if(currentView == 0) document.getElementById("update_window_h").style.visibility = "visible";
		else if(currentView == 1) document.getElementById("update_window_v").style.visibility = "visible";
		else if(currentView == 2) document.getElementById("update_window_g").style.visibility = "visible";
		
		document.getElementById("update_window_back").style.visibility = "visible";
	}
	else
	{
		document.getElementById("updateButton").value = 'up to date!';
	}
	
}

function hideUpdateWindow()
{
	document.getElementById("update_window_back").style.visibility = "hidden";
	document.getElementById("update_window_h").style.visibility = "hidden";
	document.getElementById("update_window_g").style.visibility = "hidden";
	document.getElementById("update_window_v").style.visibility = "hidden";
}

function downloadUpdate()
{
	widget.openURL(url_online);
	hideUpdateWindow();
	hidePrefs();
}

function adjustWidgetSize()
{
	var front = document.getElementById("anzeige");
	front.style.width = widgetWidth[currentView] + "px";
	front.style.height = widgetHeight[currentView] + "px";
	if (window.widget)
	{
		window.resizeTo(widgetWidth[currentView],widgetHeight[currentView]);
	}
	document.getElementById('switchviewhg').style.display = 'none';  // clean up the front side - hide the circle behind the info button
	document.getElementById('switchviewhg2').style.display = 'none';  // clean up the front side - hide the circle behind the info button
	document.getElementById('switchviewhg3').style.display = 'none';  // clean up the front side - hide the circle behind the info button
}

function setup()
{
	retrieveBundesliga(0);
	retrieveBundesliga(1);
	retrieveBundesliga(2);
	//retrieveBundesliga(3);
	currentLiga = 0;
	currentView = 0;
	currentSource = 1;
	currentHighlight = -1;
	LogoStyle = 0;
	setStand();
	return 0;
}

function showLoad(x)
{
	if (x==1)
	{ 
		document.getElementById("reloadImage").style.visibility = "visible";
		document.getElementById("Datenstand_tag_var").style.visibility = "hidden";
		document.getElementById("Datenstand_uhr_var").style.visibility = "hidden";
		document.getElementById("reloadInfo").innerHTML = "Empfange...";
		document.getElementById("reloadInfo").style.visibility = "visible";
		return;
	}
	else if (x==2)
	{ 
		document.getElementById("reloadImage").style.visibility = "visible";
		return;
	}
	else if (x==0) 
	{
		document.getElementById("reloadImage").style.visibility = "hidden";
		
		return;
	}

}

function reloadBL()
{
	showLoad(1);
		retrieveBundesliga(0);
		retrieveBundesliga(1);
		retrieveBundesliga(2);
		//retrieveBundesliga(3);
		setStand();
		buildLigen();
	document.getElementById("reloadInfo").style.visibility = "hidden";
	document.getElementById("Datenstand_tag_var").style.visibility = "visible";
	document.getElementById("Datenstand_uhr_var").style.visibility = "visible";
	showLoad(0);
	return 0;
}

function buildLigen()
{
	
	
	//Horizontal
	// 1. Liga
	var output = "";
	if(Success[0] == 1)
	{
	var highl = -1;
	output = '<table class="quertabelle"><tr>';
	
	for(var i=0; i < Tabelle[0].length; i=i+1)
	{
		var verein = Tabelle[0][i][1];
		var logo = "";
		var treffer = 0;
		for(var j=0; j < Icons.length; j=j+1)
		{
			if(Icons[j][0][currentSource][0] == verein)
			{
				logo = Icons[j][0][0][1];
				manschaft = Icons[j][0][0][0];
				treffer = 1;
				if(j == currentHighlight) highl = Tabelle[0][i][9];
				j = Icons.length;
			}
		}
		if(treffer == 0) 
			{
				alert("falsch geschrieben " + verein);
				logo = "fehler.png";
				manschaft = verein;
			}
		output = output + '<td class="vlogo"';
		if(i==0 || i==14) output = output + ' style="border-right: solid black 1px;"';
		output = output + '><img ';
		//if(Tabelle[0][i][0] == highl) 	output = output + 'class="vimg_highl"';
		//else				output = output + 'class="vimg"';
		output = output + ' src="';
		if(LogoStyle == 1) output = output + gfxpath2d;
		else if(LogoStyle == 0) output = output + gfxpath3d;
		output = output + logo + '" title="' + manschaft + '" border="0"></td>';
	}
	output = output + "</tr><tr>";
	for(var i=0; i < Tabelle[0].length; i=i+1)
	{
		output = output + '<td class="platz"';
		if(i==0 || i==14) output = output + ' style="border-right: solid black 1px;"';
		output = output + '>';
		if(Tabelle[0][i][9] == highl) output = output + '<font color="red">';
		output = output + Tabelle[0][i][0] + '.';
		if(Tabelle[0][i][9] == highl) output = output + '</font>';
		output = output + '</td>';
	}
	output = output + "</tr></table>";
	}
	else if(Success[0] == 0)
	{
		output = "<tabelle><tr><td><font>Datensatz konnte nicht geladen werden, Quelle defekt?</font></td></tr></table>";
	}
	
	document.getElementById("qview1").innerHTML = output;

	// 2. Liga
	var output = "";
	if(Success[1] == 1)
	{
	var highl = -1;
	output = '<table class="quertabelle"><tr>';
	
	for(var i=0; i < Tabelle[1].length; i=i+1)
	{
		var verein = Tabelle[1][i][1];
		var logo = "";
		var treffer = 0;
		for(var j=0; j < Icons.length; j=j+1)
		{
			if(Icons[j][1][currentSource][0] == verein)
			{
				logo = Icons[j][1][0][1];
				manschaft = Icons[j][1][0][0];
				treffer = 1;
				if(j == currentHighlight) highl = Tabelle[1][i][9];
				j = Icons.length;
			}
		}
		if(treffer == 0) 
			{
				alert("falsch geschrieben " + verein);
				logo = "fehler.png";
				manschaft = verein;
			}
		output = output + '<td class="vlogo"';
		if(i==2 || i==14) output = output + ' style="border-right: solid black 1px;"';
		output = output + '><img ';
		//if(Tabelle[1][i][0] == highl) 	output = output + 'class="vimg_highl"';
		//else				output = output + 'class="vimg"';
		output = output + ' src="';
		if(LogoStyle == 1) output = output + gfxpath2d;
		else if(LogoStyle == 0) output = output + gfxpath3d;
		output = output + logo + '" title="' + manschaft + '" border="0"></td>';
	}
	output = output + "</tr><tr>";
	for(var i=0; i < Tabelle[1].length; i=i+1)
	{
		output = output + '<td class="platz"';
		if(i==2 || i==14) output = output + ' style="border-right: solid black 1px;"';
		output = output + '>';
		if(Tabelle[1][i][9] == highl) output = output + '<font color="red">';
		output = output + Tabelle[1][i][0] + '.';
		if(Tabelle[1][i][9] == highl) output = output + '</font>';
		output = output + '</td>';
	}
	output = output + "</tr></table>";
	}
	else if(Success[1] == 0)
	{
		output = "<tabelle class='quertabelle'><tr><td class='platz'><font>Datensatz konnte nicht geladen werden, Quelle defekt?</font></td></tr></table>";
	}
	document.getElementById("qview2").innerHTML = output;

	// 3. Liga
	var output = "";
	if(Success[2] == 1)
	{
	var highl = -1;
	output = '<table class="quertabelle"><tr>';
	
	for(var i=0; i < Tabelle[2].length; i=i+1)
	{
		var verein = Tabelle[2][i][1];
		var logo = "";
		var treffer = 0;
		for(var j=0; j < Icons.length; j=j+1)
		{
			if(Icons[j][2][currentSource][0] == verein)
			{
				logo = Icons[j][2][0][1];
				manschaft = Icons[j][2][0][0];
				treffer = 1;
				if(j == currentHighlight) highl = Tabelle[2][i][9];
				j = Icons.length;
			}
		}
		if(treffer == 0) 
			{
				alert("falsch geschrieben " + verein);
				logo = "fehler.png";
				manschaft = verein;
			}
		output = output + '<td class="vlogo"';
		if(i==2 || i==16) output = output + ' style="border-right: solid black 1px;"';
		output = output + '><img ';
		output = output + ' src="';
		if(LogoStyle == 1) output = output + gfxpath2d;
		else if(LogoStyle == 0) output = output + gfxpath3d;
		output = output + logo + '" title="' + manschaft + '" border="0"></td>';
	}
	output = output + "</tr><tr>";
	for(var i=0; i < Tabelle[2].length; i=i+1)
	{
		output = output + '<td class="platz"';
		if(i==2 || i==16) output = output + ' style="border-right: solid black 1px;"';
		output = output + '>';
		if(Tabelle[2][i][9] == highl) output = output + '<font color="red">';
		output = output + Tabelle[2][i][0] + '.';
		if(Tabelle[2][i][9] == highl) output = output + '</font>';
		output = output + '</td>';
	}
	output = output + "</tr></table>";
	}
	else if(Success[2] == 0)
	{
		output = "<tabelle class='quertabelle'><tr><td class='platz'><font>Datensatz konnte nicht geladen werden, Quelle defekt?</font></td></tr></table>";
	}
	document.getElementById("qview3").innerHTML = output;

	

	// Vertikal
	// 1. Liga
	var output = "";
	if(Success[0] == 1)
	{
	var highl = -1;
	output = '<table class="vertikaltabelle">';
	
	for(var i=0; i < Tabelle[0].length; i=i+1)
	{
		var verein = Tabelle[0][i][1];
		var logo = "";
		var treffer = 0;
		for(var j=0; j < Icons.length; j=j+1)
		{
			if(Icons[j][0][currentSource][0] == verein)
			{
				logo = Icons[j][0][0][1];
				manschaft = Icons[j][0][0][0];
				treffer = 1;
				if(j == currentHighlight) highl = Tabelle[0][i][9];
				j = Icons.length;
			}
		}
		if(treffer == 0) 
			{
				alert("falsch geschrieben " + verein);
				logo = "fehler.png";
				manschaft = verein;
			}
		output = output + '<tr><td class="platz"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>';
		if(Tabelle[0][i][9] == highl) output = output + '<font color="red">';
		output = output + Tabelle[0][i][0] + '.';
		if(Tabelle[0][i][9] == highl) output = output + '</font>';

		output = output + '</td><td class="vlogo"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><img ';
		//if(Tabelle[0][i][0] == highl) 	output = output + 'class="qimg_highl"';
		//else				output = output + 'class="qimg"';
		output = output + ' src="';
		if(LogoStyle == 1) output = output + gfxpath2d;
		else if(LogoStyle == 0) output = output + gfxpath3d;
		output = output + logo + '" title="' + manschaft + '" border="0"></td></tr>';
	}
	output = output + "</table>";
	}
	else if(Success[0] == 0)
	{
		output = "<tabelle class='quertabelle'><tr><td class='platz'><font>Datensatz konnte nicht geladen werden, Quelle defekt?</font></td></tr></table>";
	}
	document.getElementById("vview1").innerHTML = output;

	// 2. Liga
	var output = "";
	if(Success[1] == 1)
	{
	var highl = -1;
	output = '<table class="vertikaltabelle">';
	
	for(var i=0; i < Tabelle[1].length; i=i+1)
	{
		var verein = Tabelle[1][i][1];
		var logo = "";
		var treffer = 0;
		for(var j=0; j < Icons.length; j=j+1)
		{
			if(Icons[j][1][currentSource][0] == verein)
			{
				logo = Icons[j][1][0][1];
				manschaft = Icons[j][1][0][0];
				treffer = 1;
				if(j == currentHighlight) highl = Tabelle[1][i][9];
				j = Icons.length;
			}
		}
		if(treffer == 0) 
			{
				alert("falsch geschrieben " + verein);
				logo = "fehler.png";
				manschaft = verein;
			}
		output = output + '<tr><td class="platz"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>';
		if(Tabelle[1][i][9] == highl) output = output + '<font color="red">';
		output = output + Tabelle[1][i][0] + '.';
		if(Tabelle[1][i][9] == highl) output = output + '</font>';

		output = output + '</td><td class="vlogo"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><img ';
		//if(Tabelle[1][i][0] == highl) 	output = output + 'class="qimg_highl"';
		//else				output = output + 'class="qimg"';
		output = output + ' src="';
		if(LogoStyle == 1) output = output + gfxpath2d;
		else if(LogoStyle == 0) output = output + gfxpath3d;
		output = output + logo + '" title="' + manschaft + '" border="0"></td></tr>';
	}
	output = output + "</table>";
	}
	else if(Success[1] == 0)
	{
		output = "<tabelle class='quertabelle'><tr><td class='platz'><font>Datensatz konnte nicht geladen werden, Quelle defekt?</font></td></tr></table>";
	}
	document.getElementById("vview2").innerHTML = output;

	// 3. Liga
	var output = "";
	if(Success[2] == 1)
	{
	var highl = -1;
	output = '<table class="vertikaltabelle">';
	
	for(var i=0; i < Tabelle[2].length; i=i+1)
	{
		var verein = Tabelle[2][i][1];
		var logo = "";
		var treffer = 0;
		for(var j=0; j < Icons.length; j=j+1)
		{
			if(Icons[j][2][currentSource][0] == verein)
			{
				logo = Icons[j][2][0][1];
				manschaft = Icons[j][2][0][0];
				treffer = 1;
				if(j == currentHighlight) highl = Tabelle[2][i][9];
				j = Icons.length;
			}
		}
		if(treffer == 0) 
			{
				alert("falsch geschrieben " + verein);
				logo = "fehler.png";
				manschaft = verein;
			}
		output = output + '<tr><td class="platz"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>';
		if(Tabelle[2][i][9] == highl) output = output + '<font color="red">';
		output = output + Tabelle[2][i][0] + '.';
		if(Tabelle[2][i][9] == highl) output = output + '</font>';
		output = output + '</td><td class="vlogo"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><img';
		output = output + ' src="';
		if(LogoStyle == 1) output = output + gfxpath2d;
		else if(LogoStyle == 0) output = output + gfxpath3d;
		output = output + logo + '" title="' + manschaft + '" border="0"></td></tr>';
	}
	output = output + "</table>";
	}
	else if(Success[2] == 0)
	{
		output = "<tabelle class='quertabelle'><tr><td class='platz'><font>Datensatz konnte nicht geladen werden, Quelle defekt?</font></td></tr></table>";
	}
	document.getElementById("vview3").innerHTML = output;

	

	//Gesamttabelle
	// 1. Liga
	// Array: platz, verein, spiele, siege, unentschieden, niederlagen, tore, differenz, punkte

	var output = "";
	if(Success[0] == 1)
	{
	if(currentHighlight > -1) var highl_name = Icons[currentHighlight][currentLiga][currentSource][0];
	else var highl_name = "";
	output = '<table class="gesamttabelle">';
	output = output + '<tr><th class="tabheader">Pl</th><th>&nbsp;</th><th class="tabheader">Verein</th><th class="tabheader">Sp</th><th class="tabheader">S</th><th class="tabheader">U</th><th class="tabheader">N</th><th class="tabheader">T</th><th class="tabheader">D</th><th class="tabheader">P</th></tr>';
	for(var i=0; i < Tabelle[0].length; i=i+1)
	{
		var verein = Tabelle[0][i][1];
		var mannschaft = "";
		var treffer = 0;
		var logo = "";
		for(var j=0; j < Icons.length; j=j+1)
		{
			if(Icons[j][0][currentSource][0] == verein)
			{
				mannschaft = Icons[j][0][0][0];
				logo = Icons[j][0][0][1];
				treffer = 1;
				j = Icons.length;
			}
		}
		
		if(treffer == 0) 
			{
				alert("falsch geschrieben " + verein);
				logo = "fehler.png";
				mannschaft = verein;
			}
		if(Tabelle[0][i][1]==highl_name)
		{
			output = output + '<tr><td class="tabcontentplatz"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[0][i][0] + '.</font></td>';
			output = output + '<td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><img class="tab_logo"';
			output = output + ' src="';
			if(LogoStyle == 1) output = output + gfxpath2d;
			else if(LogoStyle == 0) output = output + gfxpath3d;
			output = output + logo + '" alt="'+ verein +'" border="0"></td>';
		
			output = output + '<td class="tabcontentverein"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + mannschaft + '</font></td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[0][i][2] + '</font></td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[0][i][3] + '</font></td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[0][i][4] + '</font></td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[0][i][5] + '</font></td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[0][i][6] + '</font></td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[0][i][7] + '</font></td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[0][i][8] + '</font></td></tr>';
		}
		else
		{
			output = output + '<tr><td class="tabcontentplatz"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[0][i][0] + '.</td>';
			
			output = output + '<td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><img class="tab_logo"';
			output = output + ' src="';
			if(LogoStyle == 1) output = output + gfxpath2d;
			else if(LogoStyle == 0) output = output + gfxpath3d;
			output = output + logo + '" alt="'+ verein +'" border="0"></td>';
			
			output = output + '<td class="tabcontentverein"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + mannschaft + '</td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[0][i][2] + '</td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[0][i][3] + '</td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[0][i][4] + '</td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[0][i][5] + '</td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[0][i][6] + '</td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[0][i][7] + '</td><td class="tabcontent"';
		if(i==0 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[0][i][8] + '</td></tr>';
		}
	}
	output = output + '</table>';
	}
	else if(Success[0] == 0)
	{
		output = "<tabelle class='gesamttabelle'><tr><td class='platz'><font>Datensatz konnte nicht geladen werden, Quelle defekt?</font></td></tr></table>";
	}
	document.getElementById("gview1").innerHTML = output;


	// 2. Liga
	var output = "";
	if(Success[1] == 1)
	{
	if(currentHighlight > -1) var highl_name = Icons[currentHighlight][currentLiga][currentSource][0];
	else var highl_name = "";
	output = '<table class="gesamttabelle">';
	output = output + '<tr><th class="tabheader">Pl</th><th>&nbsp;</th><th class="tabheader">Verein</th><th class="tabheader">Sp</th><th class="tabheader">S</th><th class="tabheader">U</th><th class="tabheader">N</th><th class="tabheader">T</th><th class="tabheader">D</th><th class="tabheader">P</th></tr>';
	for(var i=0; i < Tabelle[1].length; i=i+1)
	{
		var verein = Tabelle[1][i][1];
		var mannschaft = "";
		var treffer = 0;
		var logo = "";
		for(var j=0; j < Icons.length; j=j+1)
		{
			if(Icons[j][1][currentSource][0] == verein)
			{
				mannschaft = Icons[j][1][0][0];
				logo = Icons[j][1][0][1];
				treffer = 1;
				j = Icons.length;
			}
		}
		
		if(treffer == 0) 
			{
				alert("falsch geschrieben " + verein);
				logo = "fehler.png";
				mannschaft = verein;
			}
		if(Tabelle[1][i][1]==highl_name)
		{
			output = output + '<tr><td class="tabcontentplatz"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[1][i][0] + '.</font></td>';
			
			output = output + '<td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><img class="tab_logo"';
			output = output + ' src="';
			if(LogoStyle == 1) output = output + gfxpath2d;
			else if(LogoStyle == 0) output = output + gfxpath3d;
			output = output + logo + '" alt="'+ verein +'" border="0"></td>';
			
			output = output + '<td class="tabcontentverein"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + mannschaft + '</font></td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[1][i][2] + '</font></td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[1][i][3] + '</font></td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[1][i][4] + '</font></td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[1][i][5] + '</font></td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[1][i][6] + '</font></td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[1][i][7] + '</font></td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[1][i][8] + '</font></td></tr>';
		}
		else
		{
			output = output + '<tr><td class="tabcontentplatz"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[1][i][0] + '.</td>';
			
			output = output + '<td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><img class="tab_logo"';
			output = output + ' src="';
			if(LogoStyle == 1) output = output + gfxpath2d;
			else if(LogoStyle == 0) output = output + gfxpath3d;
			output = output + logo + '" alt="'+ verein +'" border="0"></td>';
			
			output = output + '<td class="tabcontentverein"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + mannschaft + '</td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[1][i][2] + '</td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[1][i][3] + '</td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[1][i][4] + '</td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[1][i][5] + '</td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[1][i][6] + '</td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[1][i][7] + '</td><td class="tabcontent"';
		if(i==2 || i==14) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[1][i][8] + '</td></tr>';
		}
		
	}
	output = output + '</table>';
	
	}
	else if(Success[1] == 0)
	{
		output = "<tabelle class='gesamttabelle'><tr><td class='platz'><font>Datensatz konnte nicht geladen werden, Quelle defekt?</font></td></tr></table>";
	}
	document.getElementById("gview2").innerHTML = output;

	// 3. Liga
	var output = "";
	if(Success[2] == 1)
	{
	if(currentHighlight > -1) var highl_name = Icons[currentHighlight][currentLiga][currentSource][0];
	else var highl_name = "";
	output = '<table class="gesamttabelle">';
	output = output + '<tr><th class="tabheader">Pl</th><th>&nbsp;</th><th class="tabheader">Verein</th><th class="tabheader">Sp</th><th class="tabheader">S</th><th class="tabheader">U</th><th class="tabheader">N</th><th class="tabheader">T</th><th class="tabheader">D</th><th class="tabheader">P</th></tr>';
	for(var i=0; i < Tabelle[2].length; i=i+1)
	{
		var verein = Tabelle[2][i][1];
		var mannschaft = "";
		var treffer = 0;
		var logo = "";
		for(var j=0; j < Icons.length; j=j+1)
		{
			if(Icons[j][2][currentSource][0] == verein)
			{
				mannschaft = Icons[j][2][0][0];
				logo = Icons[j][2][0][1];
				treffer = 1;
				j = Icons.length;
			}
		}
		
		if(treffer == 0) 
			{
				alert("falsch geschrieben " + verein);
				logo = "fehler.png";
				mannschaft = verein;
			}
		if(Tabelle[2][i][1]==highl_name)
		{
			output = output + '<tr><td class="tabcontentplatz"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[2][i][0] + '.</font></td>';
			
			output = output + '<td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><img class="tab_logo"';
			output = output + ' src="';
			if(LogoStyle == 1) output = output + gfxpath2d;
			else if(LogoStyle == 0) output = output + gfxpath3d;
			output = output + logo + '" alt="'+ verein +'" border="0"></td>';
			
			output = output + '<td class="tabcontentverein"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + mannschaft + '</font></td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[2][i][2] + '</font></td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[2][i][3] + '</font></td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[2][i][4] + '</font></td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[2][i][5] + '</font></td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[2][i][6] + '</font></td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[2][i][7] + '</font></td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><font color="red">' + Tabelle[2][i][8] + '</font></td></tr>';
		}
		else
		{
			output = output + '<tr><td class="tabcontentplatz"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[2][i][0] + '.</td>';
			
			output = output + '<td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '><img class="tab_logo"';
			output = output + ' src="';
			if(LogoStyle == 1) output = output + gfxpath2d;
			else if(LogoStyle == 0) output = output + gfxpath3d;
			output = output + logo + '" alt="'+ verein +'" border="0"></td>';
			
			output = output + '<td class="tabcontentverein"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + mannschaft + '</td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[2][i][2] + '</td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[2][i][3] + '</td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[2][i][4] + '</td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[2][i][5] + '</td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[2][i][6] + '</td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[2][i][7] + '</td><td class="tabcontent"';
		if(i==2 || i==16) output = output + ' style="border-bottom: solid black 1px;"';
		output = output + '>' + Tabelle[2][i][8] + '</td></tr>';
		}
		
	}
	output = output + '</table>';
	}
	else if(Success[2] == 0)
	{
		output = "<tabelle class='gesamttabelle'><tr><td class='platz'><font>Datensatz konnte nicht geladen werden, Quelle defekt?</font></td></tr></table>";
	}
	document.getElementById("gview3").innerHTML = output;

	


	document.getElementById("tabinfo").innerHTML = "Stand: " + datenstand;
	
	
}

function setStand()
{
	var jetzt = new Date();
	var jahr = jetzt.getFullYear().toString();
	var monat = (jetzt.getMonth()+1).toString();
	var tag = jetzt.getDate().toString();
	var stunden = jetzt.getHours().toString();
	var minuten = jetzt.getMinutes().toString();
	var sekunden = jetzt.getSeconds().toString();
	if(tag.length < 2) tag = "0" + tag;
	if(monat.length < 2) monat = "0" + monat;
	if(stunden.length < 2) stunden = "0" + stunden;
	if(minuten.length < 2) minuten = "0" + minuten;
	if(sekunden.length < 2) sekunden = "0" + sekunden;
	datenstand = tag + "." + monat + "." + jahr + " / " + stunden + ":" + minuten + ":" + sekunden;
	document.getElementById("Datenstand_tag_var").innerHTML = tag + "." + monat + "." + jahr;
	document.getElementById("Datenstand_uhr_var").innerHTML = stunden + ":" + minuten + ":" + sekunden;
}

function adjustPrefs() {
	var selector = document.forms[0].selector;
	
	for(i = 0; i < selector.childNodes.length; i++) {
		if(selector.options[i].value == currentLiga) {
			selector.options[i].selected = true;
			break;
		}
	}
	
	document.getElementById("reloadInfo").innerHTML = "";
	showLoad(0);

	var view = document.forms[1].darstellung;
	
	for(i = 0; i < view.childNodes.length; i++) {
		if(view.options[i].value == currentView) {
			view.options[i].selected = true;
			break;
		}
	}
	
	var view = document.forms[2].quelle;
	
	for(i = 0; i < view.childNodes.length; i++) {
		if(view.options[i].value == currentSource) {
			view.options[i].selected = true;
			break;
		}
	}
	
	

	createHighlight();

	var view = document.forms[3].highl;

	
	
	for(i = 0; i < view.childNodes.length; i++) {
		if(view.options[i].value == currentHighlight) {
			view.options[i].selected = true;
			break;
		}
	}
	
	var view = document.forms[4].LogoStyle;

	for(i = 0; i < view.childNodes.length; i++) {
		if(view.options[i].value == LogoStyle) {
			view.options[i].selected = true;
			break;
		}
	}
}

function createHighlight(){
	showLoad(2);
	var view = document.forms[3].highl;
	var verein = "";
	var act_length = view.options.length;

	for(var i = 1; i < act_length; i++) 
	{
		view.options[1] = null;
	}

	for(var i=0; i < Tabelle[currentLiga].length; i++)
	{
		var verein_hier = Tabelle[currentLiga][i][1];
		if(currentLiga != 2)
		{
			
			for(var j=0; j < Icons.length-2; j++)
			{
				
				if(Icons[j][currentLiga][currentSource][0] == verein_hier)
				{
				
					verein = Icons[j][currentLiga][0][0];
					NeuerEintrag = new Option(verein, j);
  					view.options[view.length] = NeuerEintrag;
				}
			}
		}
		else if(currentLiga == 2)
		{
			for(var j=0; j < Icons.length; j++)
			{
				if(Icons[j][currentLiga][currentSource][0] == verein_hier)
				{
				
					verein = Icons[j][currentLiga][0][0];
					NeuerEintrag = new Option(verein, j);
  					view.options[view.length] = NeuerEintrag;
				}
			}
		}
	}
	
	
	showLoad(0);
}

function savePrefs() {
	if(currentHighlight > -1) cHighlight = Icons[currentHighlight][currentLiga][currentSource][0];
	else cHighlight = 'nope';
	if(currentView==0) cView = 'hori';
	else if(currentView==1) cView = 'verti';
	else if(currentView==2) cView = 'ges';
	if(currentLiga==0) cLiga = 'BL1';
	else if(currentLiga==1) cLiga = 'BL2';
	else if(currentLiga==2) cLiga = 'BL3';
	else if(currentLiga==3) cLiga = 'RLs';
	if(currentSource==0) cSource = 'ard';
	else if(currentSource==1) cSource = 'bild';
	else if(currentSource==2) cSource = 'spiegel';
	if(LogoStyle==0) cLogoStyle = '3D';
	else if(LogoStyle==1) cLogoStyle = '2D';
	

	if(window.widget) {
		widget.setPreferenceForKey(cView, "currentView");
		widget.setPreferenceForKey(cLiga, "currentLiga");
		widget.setPreferenceForKey(cSource, "currentSource");
		widget.setPreferenceForKey(cHighlight, "currentHighlight");
		widget.setPreferenceForKey(cLogoStyle, "LogoStyle");
	}
}

function showLiga()
{
	if(currentView == 0) // quer klein
	{
		var bl1 = document.getElementById("qview1");
		var bl2 = document.getElementById("qview2");
		var rln = document.getElementById("qview3");
		var rls = document.getElementById("qview4");
		var hiddenbl1 = document.getElementById("gview1");
		var hiddenbl2 = document.getElementById("gview2");
		var hiddenrln = document.getElementById("gview3");
		var hiddenrls = document.getElementById("gview4");
		var hidden2bl1 = document.getElementById("vview1");
		var hidden2bl2 = document.getElementById("vview2");
		var hidden2rln = document.getElementById("vview3");
		var hidden2rls = document.getElementById("vview4");
		var bl1_logo = document.getElementById("bl1label");
		var bl2_logo = document.getElementById("bl2label");
		var rln_logo = document.getElementById("rlnlabel");
		var rls_logo = document.getElementById("rlslabel");
		var bl1_logo_hidden = document.getElementById("bl1labelvertikal");
		var bl2_logo_hidden = document.getElementById("bl2labelvertikal");
		var rln_logo_hidden = document.getElementById("rlnlabelvertikal");
		var rls_logo_hidden = document.getElementById("rlslabelvertikal");
		document.getElementById("tabinfo").style.visibility="visible";
	} else if (currentView == 1)  // vertikal klein
	{
		var bl1 = document.getElementById("vview1");
		var bl2 = document.getElementById("vview2");
		var rln = document.getElementById("vview3");
		var rls = document.getElementById("vview4");
		var hiddenbl1 = document.getElementById("qview1");
		var hiddenbl2 = document.getElementById("qview2");
		var hiddenrln = document.getElementById("qview3");
		var hiddenrls = document.getElementById("qview4");
		var hidden2bl1 = document.getElementById("gview1");
		var hidden2bl2 = document.getElementById("gview2");
		var hidden2rln = document.getElementById("gview3");
		var hidden2rls = document.getElementById("gview4");
		var bl1_logo = document.getElementById("bl1labelvertikal");
		var bl2_logo = document.getElementById("bl2labelvertikal");
		var rln_logo = document.getElementById("rlnlabelvertikal");
		var rls_logo = document.getElementById("rlslabelvertikal");
		var bl1_logo_hidden = document.getElementById("bl1label");
		var bl2_logo_hidden = document.getElementById("bl2label");
		var rln_logo_hidden = document.getElementById("rlnlabel");
		var rls_logo_hidden = document.getElementById("rlslabel");
		document.getElementById("tabinfo").style.visibility="hidden";
	} else if (currentView == 2) //  gesamttabelle
	{
		var bl1 = document.getElementById("gview1");
		var bl2 = document.getElementById("gview2");
		var rln = document.getElementById("gview3");
		var rls = document.getElementById("gview4");
		var hiddenbl1 = document.getElementById("vview1");
		var hiddenbl2 = document.getElementById("vview2");
		var hiddenrln = document.getElementById("vview3");
		var hiddenrls = document.getElementById("vview4");
		var hidden2bl1 = document.getElementById("qview1");
		var hidden2bl2 = document.getElementById("qview2");
		var hidden2rln = document.getElementById("qview3");
		var hidden2rls = document.getElementById("qview4");
		var bl1_logo = document.getElementById("bl1label");
		var bl2_logo = document.getElementById("bl2label");
		var rln_logo = document.getElementById("rlnlabel");
		var rls_logo = document.getElementById("rlslabel");
		var bl1_logo_hidden = document.getElementById("bl1labelvertikal");
		var bl2_logo_hidden = document.getElementById("bl2labelvertikal");
		var rln_logo_hidden = document.getElementById("rlnlabelvertikal");
		var rls_logo_hidden = document.getElementById("rlslabelvertikal");
		document.getElementById("tabinfo").style.visibility="visible";
	}
	
	if(currentLiga == 0)
	{
		bl1_logo.style.visibility="visible";
		bl2_logo.style.visibility="hidden";
		rln_logo.style.visibility="hidden";
		rls_logo.style.visibility="hidden";
		bl1_logo_hidden.style.visibility="hidden";
		bl2_logo_hidden.style.visibility="hidden";
		rln_logo_hidden.style.visibility="hidden";
		rls_logo_hidden.style.visibility="hidden";
		bl1.style.visibility="visible";
		bl2.style.visibility="hidden";
		rln.style.visibility="hidden";
		rls.style.visibility="hidden";
		hiddenbl1.style.visibility="hidden";
		hiddenbl2.style.visibility="hidden";
		hiddenrln.style.visibility="hidden";
		hiddenrls.style.visibility="hidden";
		hidden2bl1.style.visibility="hidden";
		hidden2bl2.style.visibility="hidden";
		hidden2rln.style.visibility="hidden";
		hidden2rls.style.visibility="hidden";
	}
	else if(currentLiga == 1)
	{
		bl1_logo.style.visibility="hidden";
		bl2_logo.style.visibility="visible";
		rln_logo.style.visibility="hidden";
		rls_logo.style.visibility="hidden";
		bl1_logo_hidden.style.visibility="hidden";
		bl2_logo_hidden.style.visibility="hidden";
		rln_logo_hidden.style.visibility="hidden";
		rls_logo_hidden.style.visibility="hidden";
		bl1.style.visibility="hidden";
		bl2.style.visibility="visible";
		rln.style.visibility="hidden";
		rls.style.visibility="hidden";
		hiddenbl1.style.visibility="hidden";
		hiddenbl2.style.visibility="hidden";
		hiddenrln.style.visibility="hidden";
		hiddenrls.style.visibility="hidden";
		hidden2bl1.style.visibility="hidden";
		hidden2bl2.style.visibility="hidden";
		hidden2rln.style.visibility="hidden";
		hidden2rls.style.visibility="hidden";
	}
	else if(currentLiga == 2)
	{
		bl1_logo.style.visibility="hidden";
		bl2_logo.style.visibility="hidden";
		rln_logo.style.visibility="visible";
		rls_logo.style.visibility="hidden";
		bl1_logo_hidden.style.visibility="hidden";
		bl2_logo_hidden.style.visibility="hidden";
		rln_logo_hidden.style.visibility="hidden";
		rls_logo_hidden.style.visibility="hidden";
		bl1.style.visibility="hidden";
		bl2.style.visibility="hidden";
		rln.style.visibility="visible";
		rls.style.visibility="hidden";
		hiddenbl1.style.visibility="hidden";
		hiddenbl2.style.visibility="hidden";
		hiddenrln.style.visibility="hidden";
		hiddenrls.style.visibility="hidden";
		hidden2bl1.style.visibility="hidden";
		hidden2bl2.style.visibility="hidden";
		hidden2rln.style.visibility="hidden";
		hidden2rls.style.visibility="hidden";
	}
	else if(currentLiga == 3)
	{
		bl1_logo.style.visibility="hidden";
		bl2_logo.style.visibility="hidden";
		rln_logo.style.visibility="hidden";
		rls_logo.style.visibility="visible";
		bl1_logo_hidden.style.visibility="hidden";
		bl2_logo_hidden.style.visibility="hidden";
		rln_logo_hidden.style.visibility="hidden";
		rls_logo_hidden.style.visibility="hidden";
		bl1.style.visibility="hidden";
		bl2.style.visibility="hidden";
		rln.style.visibility="hidden";
		rls.style.visibility="visible";
		hiddenbl1.style.visibility="hidden";
		hiddenbl2.style.visibility="hidden";
		hiddenrln.style.visibility="hidden";
		hiddenrls.style.visibility="hidden";
		hidden2bl1.style.visibility="hidden";
		hidden2bl2.style.visibility="hidden";
		hidden2rln.style.visibility="hidden";
		hidden2rls.style.visibility="hidden";
	}
}

function SetCurrentLiga()
{
	var selector = document.forms[0].selector;
	var x = selector.options[selector.selectedIndex].value;
	currentLiga = x;
	currentHighlight = -1;
	createHighlight();
}

function SetCurrentView()
{
	var selector = document.forms[1].darstellung;
	var x = selector.options[selector.selectedIndex].value;
	currentView = x;
}

function SetCurrentSource()
{
	var selector = document.forms[2].quelle;
	var x = selector.options[selector.selectedIndex].value;
	currentSource = x;
	showLoad(1);
	reloadBL();
	showLoad(0);
	createHighlight();
}

function SetLogoStyle()
{
	var selector = document.forms[4].LogoStyle;
	var x = selector.options[selector.selectedIndex].value;
	LogoStyle = x;
	showLoad(2);
	buildLigen();
	showLoad(0);
}

function SetCurrentHighlight()
{
	var selector = document.forms[3].highl;
	var x = selector.options[selector.selectedIndex].value;
	currentHighlight = x;
	showLoad(2);
	buildLigen();
	showLoad(0);
}

function retrieveBundesliga(x) {
	if(x!=0 && x!=1 && x!=2 && x!=3)
	{
		return -1;
	}
	var liga = new Array();
	liga[0] = new Array();
	liga[1] = new Array();
	liga[2] = new Array();
	liga[3] = new Array();
	//Perform search
	var myFile ="";
	var mysearch="";
	// 1. Liga
	liga[0][1] = "http://statistiken.sportbild.de/sportbild/ergebnis-bereich/fussball/1bundesliga_1011.html";
	liga[0][2] = "http://www.spiegel.de/sport/fussball/0,1518,255412,00.html";
	// 2. Liga
	liga[1][1] = "http://statistiken.sportbild.de/sportbild/ergebnis-bereich/fussball/2bundesliga_1011.html";
	liga[1][2] = "http://www.spiegel.de/sport/fussball/0,1518,255415,00.html";
	// 3. Liga
	liga[2][1] = "http://statistiken.sportbild.de/sportbild/ergebnis-bereich/fussball/3liga_1011.html";
	liga[2][2] = "http://www.spiegel.de/sport/fussball/0,1518,563753,00.html";
	// RL-Süd
	liga[3][1] = "http://statistiken.sportbild.de/sportbild/ergebnis-bereich/fussball/regionalsued_1011.html";
	mysearch = liga[x][currentSource];
	myFile = readDOM(mysearch);
	Tabelle[x] = parseFile(myFile,x);
	//if(Success[x] == 1)
	//{
	//	for( var i = 0; i < Tabelle[x].length; i=i+1)
	//	{
	//		var verein = Tabelle[x][i][1];
	//		var treffer = 0;
	//		for(var j=0; j <= Icons.length; j=j+1)
	//		{
	//			if(Icons[j][x][currentSource][0] == verein)
	//			{
	//				treffer = 1;
	//				j = Icons.length;
	//			}
	//			if(x != 2 && j==17) j = Icons.length;
	//		}
	//		if(treffer == 0)
	//		{
	//			alert("verein nicht dabei! liga=" + x + " platz=" + (i+1) + " source=" + currentSource + " j=" + j);
	//			Success[x] = 0;
	//		}
	//	}
	//}
}

function readDOM(filename) { 
	var result;
    	request = new XMLHttpRequest(); 
    	request.open("GET", filename ,false); 
	request.overrideMimeType("text/xml");	
    	request.send(null); 


    	var result = request.responseText; 
    	if (result) return result 
    	else return null 
}

function parseFile(file,nowx) { 
	var platz;
	var verein;
	var spiele;
	var siege;
	var unentschieden;
	var niederlagen;
	var tore;
	var differenz;
	var punkte;
	var id;
	var elemTable = new Array();
	var dummy;
	Success[nowx] = -1;
	
	if(currentSource==1)
	{
		var start = file.indexOf('Pkt</div>');
		var ende = file.lastIndexOf('<div id="spobi_table_vermerk">');
		file = file.substring(start,ende); // Müll entfernen
		file = file.replace(/(\r\n|\n|\r)/g," "); // Zeilenumbrüche entfernen
		file = file.replace(/>\s+</g,"><"); // Leerzeichen zwischen Tags entfernen
		var wort = file.split('<div id="spobi_table_element">');	
	}


	else if(currentSource==2)
	{
		var start = file.indexOf('Punkte</td>');
		var ende = file.lastIndexOf('<b>Termine');
		file = file.substring(start,ende); // Müll entfernen
		file = file.replace(/(\r\n|\n|\r)/g," "); // Zeilenumbrüche entfernen
		file = file.replace(/>\s+</g,"><"); // Leerzeichen zwischen Tags entfernen
		var wort = file.split("<tr");	
	}
		

	for( var i = 0; i < wort.length; i=i+1)
	{
		// Dieser reguläre Ausdruck passt nur auf die entsprechende Website
		
		// sportbild.de
		if(currentSource==1) dummy = /<div.+?>(.+?)<\/div><div.+?>(.+?)<\/div><div.+?>(.+?)<\/div><div.+?>(.+?)<\/div><div.+?>(.+?)<\/div><div.+?>(.+?)<\/div><div.+?>(.+?)<\/div><div.+?>(.+?)<\/div><div.+?>(.+?)<\/div>/;

		// spiegel.de
		if(currentSource==2) dummy = /<td.+?>(.+?)<\/td><td>(.+?)<\/td><td.+?>(.+?)<\/td><td.+?>(.+?)<\/td><td.+?>(.+?)<\/td><td.+?>(.+?)<\/td><td.+?>(.+?)<\/td><td.+?>(.+?)<\/td><td.+?><b>(.+?)<\/b><\/td>/;
		
		
		if (dummy.test(wort[i]))
		{
			dummy.exec(wort[i]);			
			platz			=	RegExp.$1;
			verein			=	RegExp.$2;
			spiele			=	RegExp.$3;
			siege			=	RegExp.$4;
			unentschieden		=	RegExp.$5;
			niederlagen		=	RegExp.$6;
			tore			=	RegExp.$7;
			differenz		=	RegExp.$8;
			punkte			=	RegExp.$9;
			id				=	i;
			
				// Tordifferenz ausrechnen
				//dummy = /(\d{1,2}):(\d{1,2})/;
				//dummy.exec(tore);
				//geschossen = RegExp.$1;
				//bekommen = RegExp.$2;
				//differenz = geschossen - bekommen;

			//alert(platz + " - " + verein);
			//alert(platz + "-" + verein + "-" + spiele + "-" + siege + "-" + unentschieden + "-" + niederlagen + "-" + tore + "-" + differenz + "-" + punkte);
			elemTable.push( new Array (platz, verein, spiele, siege, unentschieden, niederlagen, tore, differenz, punkte, id));
		}
	   }
	if (i < 5) 
	{
		Success[nowx] = 0;
		alert("QUelle arsch " + nowx);
	}
	else
	{
		Success[nowx] = 1;
		alert("läuft " + nowx);
	}
	return elemTable;
			
			
}
/*********************************/
// HIDING AND SHOWING PREFERENCES
/*********************************/

// showPrefs() is called when the preferences flipper is clicked upon.  It freezes the front of the widget,
// hides the front div, unhides the back div, and then flips the widget over.

function showPrefs()
{
	document.getElementById("updateButton").value = 'up to date?';
	var front = document.getElementById("anzeige");
	var back = document.getElementById("back");
	hinten = true;
	
	if (window.widget)
	{
		window.resizeTo(widgetWidth[3],widgetHeight[3]);
		widget.prepareForTransition("ToBack");		// freezes the widget so that you can change it without the user noticing
	}
	
	adjustPrefs();

	front.style.display="none";		// hide the front
	back.style.display="block";		// show the back
	back.style.width=widgetWidth[3] + "px";
	back.style.height=widgetHeight[3] + "px";

	if (window.widget)
	{
		setTimeout ('widget.performTransition();', 0);		// and flip the widget over	
	}
	
	document.getElementById('fliprollie').style.display = 'none';  // clean up the front side - hide the circle behind the info button

}

// hidePrefs() is called by the done button on the back side of the widget.  It performs the opposite transition
// as showPrefs() does.

function hidePrefs()
{
	hinten = false;
	buildLigen();
	savePrefs();
	var front = document.getElementById("anzeige");
	var back = document.getElementById("back");
	
	if (window.widget)
	{
		window.resizeTo(widgetWidth[currentView],widgetHeight[currentView]);
		widget.prepareForTransition("ToFront");		// freezes the widget and prepares it for the flip back to the front
	}
	
	showLiga();
	hideUpdateWindow();

	back.style.display="none";			// hide the back
	front.style.display="block";		// show the front
	front.style.width=widgetWidth[currentView] + "px";
	front.style.height=widgetHeight[currentView] + "px";
	
	if (window.widget)
		setTimeout ('widget.performTransition();', 0);		// and flip the widget back to the front
}


// PREFERENCE BUTTON ANIMATION (- the pref flipper fade in/out)
var flipShown = false;		// a flag used to signify if the flipper is currently shown or not.

// A structure that holds information that is needed for the animation to run.
var animation = {duration:0, starttime:0, to:1.0, now:0.0, from:0.0, firstElement:null, secondElement:null, thirdElement:null, fourthElement:null, timer:null};


// mousemove() is the event handle assigned to the onmousemove property on the front div of the widget. 
// It is triggered whenever a mouse is moved within the bounds of your widget.  It prepares the
// preference flipper fade and then calls animate() to performs the animation.

function mousemove (event)
{
	if (!flipShown)			// if the preferences flipper is not already showing...
	{
		if (animation.timer != null)			// reset the animation timer value, in case a value was left behind
		{
			clearInterval (animation.timer);
			animation.timer  = null;
		}
		
		var starttime = (new Date).getTime() - 13; 		// set it back one frame
		
		animation.duration = 500;												// animation time, in ms
		animation.starttime = starttime;										// specify the start time
		animation.firstElement = document.getElementById ('flip');		// specify the element to fade
		animation.secondElement = document.getElementById ('switchgesamt');		// specify the element to fade
		animation.thirdElement = document.getElementById ('switchhorizontal');		// specify the element to fade
		animation.fourthElement = document.getElementById ('switchvertikal');		// specify the element to fade
		animation.timer = setInterval ("animate();", 13);						// set the animation function
		animation.from = animation.now;											// beginning opacity (not ness. 0)
		animation.to = 1.0;														// final opacity
		animate();																// begin animation
		flipShown = true;														// mark the flipper as animated
	}
}

// mouseexit() is the opposite of mousemove() in that it preps the preferences flipper
// to disappear.  It adds the appropriate values to the animation data structure and sets the animation in motion.

function mouseexit (event)
{
	if (flipShown)
	{
		// fade in the flip widget
		if (animation.timer != null)
		{
			clearInterval (animation.timer);
			animation.timer  = null;
		}
		
		var starttime = (new Date).getTime() - 13;
		
		animation.duration = 500;
		animation.starttime = starttime;
		animation.firstElement = document.getElementById ('flip');
		animation.secondElement = document.getElementById ('switchgesamt');		// specify the element to fade
		animation.thirdElement = document.getElementById ('switchhorizontal');		// specify the element to fade
		animation.fourthElement = document.getElementById ('switchvertikal');		// specify the element to fade
		animation.timer = setInterval ("animate();", 13);
		animation.from = animation.now;
		animation.to = 0.0;
		animate();
		flipShown = false;
	}
}


// animate() performs the fade animation for the preferences flipper. It uses the opacity CSS property to simulate a fade.

function animate()
{
	var T;
	var ease;
	var time = (new Date).getTime();
		
	
	T = limit_3(time-animation.starttime, 0, animation.duration);
	
	if (T >= animation.duration)
	{
		clearInterval (animation.timer);
		animation.timer = null;
		animation.now = animation.to;
	}
	else
	{
		ease = 0.5 - (0.5 * Math.cos(Math.PI * T / animation.duration));
		animation.now = computeNextFloat (animation.from, animation.to, ease);
	}
	
	animation.firstElement.style.opacity = animation.now;
	animation.secondElement.style.opacity = animation.now;
	animation.thirdElement.style.opacity = animation.now;
	animation.fourthElement.style.opacity = animation.now;
}


// these functions are utilities used by animate()

function limit_3 (a, b, c)
{
    return a < b ? b : (a > c ? c : a);
}

function computeNextFloat (from, to, ease)
{
    return from + (to - from) * ease;
}

// these functions are called when the info button itself receives onmouseover and onmouseout events

function enterflip(event)
{
	document.getElementById('fliprollie').style.display = 'block';
}

function exitflip(event)
{
	document.getElementById('fliprollie').style.display = 'none';
}
function enterswitch(event)
{
	document.getElementById('switchviewhg').style.display = 'block';
}

function exitswitch(event)
{
	document.getElementById('switchviewhg').style.display = 'none';
}
function enterswitchhorizontal(event)
{
	document.getElementById('switchviewhg2').style.display = 'block';
}

function exitswitchhorizontal(event)
{
	document.getElementById('switchviewhg2').style.display = 'none';
}
function enterswitchvertikal(event)
{
	document.getElementById('switchviewhg3').style.display = 'block';
}

function exitswitchvertikal(event)
{
	document.getElementById('switchviewhg3').style.display = 'none';
}